Bug 990367 - When Install fails, yum doesn't update internal structures
When Install fails, yum doesn't update internal structures
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 00:50 EDT by Ben Boeckel
Modified: 2015-06-29 08:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:08:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2013-07-31 00:50:45 EDT
yum-3.4.3-103.fc20.noarch

nscd has been failing to install (Bug #983760) and this causes yum to output the following into its logs:

Jul 31 00:40:55 Updated: audit-libs-2.3.2-1.fc20.i686
Jul 31 00:40:55 Updated: krb5-libs-1.11.3-7.fc20.i686
<----- nscd %post scriptlet fails here ----->
Jul 31 00:41:03 libX11: ts_done name in te is nscd should be libX11
Jul 31 00:41:03 xorg-x11-server-Xorg-1.14.2-7.fc20.x86_64: ts_done name in te is libX11 should be xorg-x11-server-Xorg-1.14.2-7.fc20.x86_64
Jul 31 00:41:03 slrn-pull-1.0.1-3.fc19.x86_64: ts_done name in te is xorg-x11-server-Xorg should be slrn-pull-1.0.1-3.fc19.x86_64
Jul 31 00:41:03 slrn-1.0.1-3.fc19.x86_64: ts_done name in te is slrn-pull should be slrn-1.0.1-3.fc19.x86_64
Jul 31 00:41:03 audit-libs: ts_done name in te is slrn should be audit-libs
Jul 31 00:41:03 krb5-libs: ts_done name in te is audit-libs should be krb5-libs
Jul 31 00:41:03 gstreamer1-1.1.2-1.fc20.x86_64: ts_done name in te is krb5-libs should be gstreamer1-1.1.2-1.fc20.x86_64
Jul 31 00:41:03 SDL: ts_done name in te is gstreamer1 should be SDL
Jul 31 00:41:04 gdb-7.6-35.fc20.x86_64: ts_done name in te is SDL should be gdb-7.6-35.fc20.x86_64
Jul 31 00:41:04 gnupg-1.4.13-3.fc19.x86_64: ts_done name in te is gdb should be gnupg-1.4.13-3.fc19.x86_64
Jul 31 00:41:04 xorg-x11-server-common-1.14.2-7.fc20.x86_64: ts_done name in te is gnupg should be xorg-x11-server-common-1.14.2-7.fc20.x86_64
Jul 31 00:41:04 libX11-common-1.6.0-1.fc20.noarch: ts_done name in te is xorg-x11-server-common should be libX11-common-1.6.0-1.fc20.noarch
Jul 31 00:41:04 glibc-common-2.17.90-6.fc20.x86_64: ts_done name in te is libX11-common should be glibc-common-2.17.90-6.fc20.x86_64
Jul 31 00:41:04 glibc: ts_done name in te is glibc-common should be glibc
Comment 1 Lars S. Jensen 2013-08-31 05:21:10 EDT
I have the same error on FC19:

Aug 30 07:32:43 Updated: 1:blender-rpm-macros-2.68a-3.fc19.noarch
Aug 30 07:32:43 gdb-7.6-35.fc19.x86_64: 100  <-- this failed -----------
Aug 30 07:32:45 Updated: python-pillow-2.0.0-11.gitd1c6db8.fc19.x86_64
Aug 30 07:32:46 Updated: gdb-doc-7.6-35.fc19.noarch
Aug 30 07:32:51 Updated: entangle-0.5.3-1.fc19.x86_64
Aug 30 07:33:03 entangle-0.5.0-3.fc19.x86_64: ts_done name in te is gdb should be entangle-0.5.0-3.fc19.x86_64
Aug 30 07:33:04 1:blenderplayer-2.68a-1.fc19.x86_64: ts_done name in te is entangle should be 1:blenderplayer-2.68a-1.fc19.x86_64
Aug 30 07:34:45 gdb-7.6-35.fc19.x86_64: 100
Aug 30 17:08:20 gdb-7.6-35.fc19.x86_64: 100
Aug 31 11:05:01 gdb-7.6-35.fc19.x86_64: 100

and yum run:
  Updating   : gdb-7.6-35.fc19.x86_64                                      1/2 
Error unpacking rpm package gdb-7.6-35.fc19.x86_64
error: unpacking of archive failed on file /usr/share/gdb/auto-load/lib64: cpio: rename
gdb-7.6-34.fc19.x86_64 was supposed to be removed but is not!
  Verifying  : gdb-7.6-34.fc19.x86_64                                      1/2 
  Verifying  : gdb-7.6-35.fc19.x86_64                                      2/2
Comment 2 Fedora End Of Life 2013-09-16 10:55:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora End Of Life 2015-05-29 05:13:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:08:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.